<template>
  <base-card class="grid grid--new-comment">
    <textarea
      v-model="content"
      class="new-comment--textarea"
      placeholder="Add a comment..."
    ></textarea>
    <base-avatar
      class="new-comment--avatar"
      :name="currentUser.image.webp"
    ></base-avatar>
    <base-button @click="addNewComment" class="new-comment--button" type="reply"
      >send</base-button
    >
  </base-card>
</template>

<script>
export default {
  props: ["currentUser"],
  inject: ["addComment"],
  data() {
    return {
      content: "",
    };
  },
  methods: {
    addNewComment() {
      if (this.content.trim() === "") {
        return;
      }
      this.addComment(this.content);
      this.content = "";
    },
  },
};
</script>

<style scoped>
.grid--new-comment {
  grid-template-areas:
    "textarea textarea"
    "avatar button";
}
@media (min-width: 47em) {
  .grid--new-comment {
    grid-template-areas:
      "avatar textarea  button"
      "...... textarea ....";
    grid-template-columns: max-content 1fr min-content;
  }
}
.new-comment--textarea {
  grid-area: textarea;
}
.new-comment--avatar {
  grid-area: avatar;
}
.new-comment--button {
  grid-area: button;
  margin-left: auto;
}
</style>
